Автор Тема: Gentoo...?  (Прочетена 2200 пъти)

grey

  • Напреднали
  • *****
  • Публикации: 19
    • Профил
Gentoo...?
« -: Apr 07, 2004, 16:12 »
Значи компилирам 2.6.4 кенел, стартира си нормално, работи си нормално, Х-а също си работи нормално, но при опит да изляза със ctrl+alt+F* в някоя конзола и PC-то заспива безнадежно! Имам опция vga = 791 lilo-то, махнал съм bootsplash-а.
2.6.3 си работи . Видео картата ми е NVIDIA и имам инсталирани драйвери на NVIDIA!

Благодаря Ви!
Активен

ray

  • Напреднали
  • *****
  • Публикации: 1270
    • Профил
Gentoo...?
« Отговор #1 -: Apr 07, 2004, 22:07 »
Здравей,
Аз съм с kernel-2.6.4 и Gentoo-Hardened /grsecurity/ и също с NVidia карта, но нямам такъв проблем.
Виж пак конфига на ядрото, но мисля че vga=791 не ти трябва, това е за фреймбуфер-режим не за NVIDIA.
С кои драйвери на NVIDIA си - за ядро 2.6 трябват 5336 май беше, не 4496.
Успех.
Румен.
Активен

grey

  • Напреднали
  • *****
  • Публикации: 19
    • Профил
Gentoo...?
« Отговор #2 -: Apr 08, 2004, 17:06 »
Да де за фреймбуфера е , но аз се притеснявах, че от него е проблема. Драйверите са 5336? Доколкото разбрах имало някакъв проблем със тези драйвери и последните ядра!
Какво е   Gentoo-Hardened /grsecurity/   ! Може и да ти изглежда тъп въпрос , но ми е интересно?!
Активен

ray

  • Напреднали
  • *****
  • Публикации: 1270
    • Профил
Gentoo...?
« Отговор #3 -: Apr 08, 2004, 19:46 »
Здравей,
При мен от ядро 2.6.1 си ползвам 5336 /те са за 2.6 ядрата/ има инфо и на сайта на NVIDIA /www.nvidia.com/.
Аз ползвам 5336 от сайта на NVIDIA, а не 5336-r1 от ebuild-a и нямам никакви проблеми досега. Просто след като компилирам някое ново или старо /променено/ ядро пускам ...5336..bin и си прекомпилирам модула за ядрото, после modrprobe nvidia и в общи линии това е.
С ядро 2.6 не съм ползвал 4496 /само с 2.4.х ядрата/ - GF4-440MX.
В мейлинг-листа на Gentoo /gentoo-user/ от много време 1-2 месеца няма проблеми с NVidia-та, имаше само след като излезе докато се оправят някои проблеми.
За Gentoo-hardened това го има описано на сайта на Gentoo - в общи линии това са пачове за ядрото /grsecurity/, SSP пач за GCC и PAX - пач за ядрото.
Идеята е да се направи по-добре защитена и по-сигурна система.
1.Grsecurity - http://www.grsecurity.net /защита на памет и файлова система/
2.PAX - http://pax.grsecurity.net /защита на паметта/
3.SSP - виж с google.com къде беше сайта, някаде в ...ibm.com

Има повече информация в описанието на Adamantix /дистрибуция/ - тук го има, там има и връзки /да не ги повтарям пак/.
Румен.
Активен